Bug 481568 - Compiz segfaults on S3 resume (macbook pro, ati radeon), returns to GDM login screen
Compiz segfaults on S3 resume (macbook pro, ati radeon), returns to GDM login...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 08:12 EST by Dennis Wagelaar
Modified: 2009-09-20 07:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-20 07:23:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (2.42 MB, text/plain)
2009-01-26 08:12 EST, Dennis Wagelaar
no flags Details
/var/log/Xorg.0.log.old (104.87 KB, text/plain)
2009-01-26 08:15 EST, Dennis Wagelaar
no flags Details
/var/log/Xorg.0.log (79.81 KB, text/plain)
2009-01-26 08:16 EST, Dennis Wagelaar
no flags Details
/var/log/pm-suspend.log (6.25 KB, text/plain)
2009-01-26 08:17 EST, Dennis Wagelaar
no flags Details

  None (edit)
Description Dennis Wagelaar 2009-01-26 08:12:58 EST
Created attachment 329982 [details]
/var/log/messages

Description of problem:
On S3 resume, compiz segfaults like this (/var/log/messages):

Jan 26 09:08:24 localhost kernel: compiz[6267]: segfault at 397de6e288 ip 0000003cbb63a4b2 sp 00007fff11177d90 error 4 in libglib-2.0.so.0.1800.3[3cbb600000+
e0000]

This is combined with a brief display of black and white blocks on the screen and a mouse cursor. After that, I am returned to the GDM login prompt.

Version-Release number of selected component (if applicable):
compiz-0.7.8-4.fc10.x86_64
kernel-2.6.27.9-159.fc10.x86_64
xorg-x11-drv-ati-6.9.0-63.fc10.x86_64

Hardware: MacBookPro2,2
http://www.smolts.org/client/show/pub_87abf5d7-0f69-4898-8f46-103c67903def

How reproducible:
Suspend/resume via closing lid.

Steps to Reproduce:
1. Suspend via closing lid
2. Resume
3.
  
Actual results:
Compiz crashes, sent back to GDM login screen

Expected results:
Gnome session restored

Additional info:
I'm not sure if this is a pure compiz problem. Bug # 472353 describes similar symptoms, except that I have no problem switching VTs. Also, this bug does not occur with desktop effects switched off.
Comment 1 Dennis Wagelaar 2009-01-26 08:15:43 EST
Created attachment 329983 [details]
/var/log/Xorg.0.log.old
Comment 2 Dennis Wagelaar 2009-01-26 08:16:32 EST
Created attachment 329984 [details]
/var/log/Xorg.0.log
Comment 3 Dennis Wagelaar 2009-01-26 08:17:28 EST
Created attachment 329985 [details]
/var/log/pm-suspend.log
Comment 4 Dennis Wagelaar 2009-01-27 04:05:19 EST
I should also mention that when I boot with the "nomodeset" flag on (text bootup screen), X locks up on resume.
Comment 5 Dennis Wagelaar 2009-09-20 07:23:48 EDT
This issue no longer occurs under Fedora 11 with the following package versions:
- kernel-2.6.30.5-43.fc11.x86_64
- compiz-0.7.8-19.fc11.x86_64
- xorg-x11-drv-ati-6.12.2-14.fc11.x86_64

I have not tried the "nomodeset" flag since. All works fine without that flag and with graphical bootup.

Note You need to log in before you can comment on or make changes to this bug.